Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.fourthline.cling.support.model
Enum TransportAction

    java.lang.Object
      java.lang.Enum<TransportAction>
          org.fourthline.cling.support.model.TransportAction

All Implemented Interfaces:
  Serializable, Comparable<TransportAction>

    public enum TransportAction

extends Enum<TransportAction>

Author:
  Christian Bauer

Enum Constant Summary
`Next`
`Pause`
`Play`
`Previous`
`Record`
`Seek`
`Stop`

Method Summary
`static TransportAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransportAction[]` | `valueOfCommaSeparatedList(String s)`
`static TransportAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Play

    public static final TransportAction Play

### Stop

    public static final TransportAction Stop

### Pause

    public static final TransportAction Pause

### Seek

    public static final TransportAction Seek

### Next

    public static final TransportAction Next

### Previous

    public static final TransportAction Previous

### Record

    public static final TransportAction Record

Method Detail

### values

    public static TransportAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TransportAction c : TransportAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TransportAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOfCommaSeparatedList

    public static TransportAction[] valueOfCommaSeparatedList(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.